#!/usr/bin/env python

from distutils.core import setup, Extension
import sys

extension = Extension("Pylinspline.linspline", \
                      ["python/linspline.c", \
                       "python/linsplinemodule.c"], \
                      extra_link_args=['-s']
                      )

setup(name="Pylinspline",
      version="1.01",
      description="Linear spline fitting routine",
      author="Michiel de Hoon",
      author_email="mdehoon@ims.u-tokyo.ac.jp",
      license="For academic/non-profit use only",
      url="http://bonsai.ims.u-tokyo.ac.jp/~mdehoon/software/software.html",
      package_dir = {'Pylinspline':'python'},
      packages = ['Pylinspline'],
      ext_modules=[extension]
      )
